Subject: Re: Thanks

From: Junio C Hamano <[email-masked]>
Date: Wed, 26 Oct 2022 02:36:45 -0700

M Hickford <[email-masked]> writes:

>> > (first message using git send-email, hopefully I followed the instructions correctly)
>>
>> You messed up the thread (you broke it).
>
> Curious. The thread overview "5+ messages" at
> https://lore.kernel.org/git/[email-masked]/#related
> looks okay to me. I followed the git send-email instructions
> setting the In-Reply-To header. I changed the subject -- maybe
> that confused some clients? Thanks for the tips.

Your In-Reply-To: header looked OK to me.  Some webmail platforms
break the thread when Subject: is edited, but that is their bug.  As
long as you keep the In-Reply-To: chain correct, retitling the
message as necessary is indeed encouraged practice.